summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Prof. HORSTMANN2020-05-22 18:56:10 +0200
committer Willy Sudiarto Raharjo2020-05-22 18:56:10 +0200
commit359eb8824273a28468c906ffcec954c892f16e54 (patch)
tree613045864ab34e5d01c596dc14c2566441a66f24
parent7da98e03f55456f5e8f3655dbd93e284a6b97ce0 (diff)
downloadslackbuilds-359eb8824273a28468c906ffcec954c892f16e54.tar.gz
academic/colin: Added (a structural analysis application).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--academic/colin/README4
-rw-r--r--academic/colin/colin.SlackBuild101
-rw-r--r--academic/colin/colin.info10
-rw-r--r--academic/colin/slack-desc19
4 files changed, 134 insertions, 0 deletions
diff --git a/academic/colin/README b/academic/colin/README
new file mode 100644
index 0000000000..da8a1339ea
--- /dev/null
+++ b/academic/colin/README
@@ -0,0 +1,4 @@
+colin (a structural analysis application)
+
+Colin is a structural analysis application with a lightweight interface.
+This structural analysis software for civil engineering students, provide an easier way to learn civil engineering.
diff --git a/academic/colin/colin.SlackBuild b/academic/colin/colin.SlackBuild
new file mode 100644
index 0000000000..76684135a6
--- /dev/null
+++ b/academic/colin/colin.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# SlackBuild build script for colin
+
+# Copyright (c) 2000-2020 Prof. Horstmann <wmh (at) eipg.fr>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=colin
+VERSION=${VERSION:-1.8.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM="$(printf $PRGNAM | cut -d- -f2-)"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z*
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+qmake
+make
+
+# make install DESTDIR not implemented so go manual !
+mkdir -p $PKG/usr/share/applications/
+cp -a xdg/colin.desktop $PKG/usr/share/applications/
+mkdir -p $PKG/usr/share/colin/pixmaps/
+cp -a xdg/colin.xpm $PKG/usr/share/colin/pixmaps/
+cp -a xdg/colin.png $PKG/usr/share/colin/pixmaps/
+cp -a icons $PKG/usr/share/colin/icons
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/colin-$VERSION
+mv colin *.o $PKG/usr/lib${LIBDIRSUFFIX}/colin-$VERSION
+mkdir -p $PKG/usr/bin
+# Create a symlink in /usr/bin to the colin binary
+( cd $PKG/usr/bin ; ln -s /usr/lib${LIBDIRSUFFIX}/colin-$VERSION/colin . )
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a doc/LICENSE.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/colin/colin.info b/academic/colin/colin.info
new file mode 100644
index 0000000000..3c92f6e079
--- /dev/null
+++ b/academic/colin/colin.info
@@ -0,0 +1,10 @@
+PRGNAM="colin"
+VERSION="1.8.0"
+HOMEPAGE="https://sourceforge.net/projects/colin2"
+DOWNLOAD="https://sourceforge.net/projects/colin2/files/colin-1.8.0.tar.xz"
+MD5SUM="8c7954d1883f44b56c9d45dfd38bcd91"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="brotli graphite2"
+MAINTAINER="Prof. HORSTMANN"
+EMAIL="wmh@eipg.fr"
diff --git a/academic/colin/slack-desc b/academic/colin/slack-desc
new file mode 100644
index 0000000000..73ce0befc5
--- /dev/null
+++ b/academic/colin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+colin: colin (a structural analysis application)
+colin:
+colin: Colin is a structural analysis application with a lightweight
+colin: interface. This structural analysis software for civil engineering
+colin: students, provide an easier way to learn civil engineering.
+colin:
+colin: Some tutorials (in German) can be found on youtube.com:
+colin: http://www.youtube.com/user/ognop42
+colin:
+colin: By Prof. Horstmann www.eipg.fr <wmh (at) eipg.fr>
+colin: